Package Details: docear 1.2.0_stable-5

Git Clone URL: https://aur.archlinux.org/docear.git (read-only)
Package Base: docear
Description: [Deprecated]: https://aur.archlinux.org/packages/docear/#comment-640786 Docear is an academic literature suite for searching, organizing and creating academic literature, built upon the mind mapping software Freeplane and the reference manager JabRef.
Upstream URL: http://www.docear.org/
Keywords: deprecated
Licenses: GPL 2
Provides: docear
Submitter: heliumhgy
Maintainer: rvasilev
Last Packager: rvasilev
Votes: 45
Popularity: 0.320519
First Submitted: 2012-07-27 14:52
Last Updated: 2018-11-12 10:57

Pinned Comments

rvasilev commented on 2018-04-04 08:11

PKGBUILD source, issue tracker and PR -> https://github.com/arch-noob/docear

As of Jun 10, 2018 Docear is Deprecated by the author.

Latest Comments

1 2 3 4 Next › Last »

rvasilev commented on 2018-10-04 09:42

@ndandanov JDK8 depends on JRE8 that depends on jre8-openjdk-headless, so I do not see your point. But you could mask jre8-openjdk-headless from updating.

ndandanov commented on 2018-10-02 13:07

Hello and thank you for the efforts to provide this useful package! I think that the jre8-openjdk-headless dependency can be removed. For example, I use the jdk package version 8u144-1 (deliberately not updated to 9 as it would break a few related packages) so I do not need an additional jdk. I had to build docear with this dependency removed.

Vrakfall commented on 2018-08-09 21:03

@rvasilev: Thank you for the quick fix!

Vrakfall commented on 2018-08-09 16:47

The file that is on dropbox isn't there anymore and generates a 404 error, thus it cannot be built!

rvasilev commented on 2018-06-01 06:21

Package updated

java-runtime was replaced with jre8-openjdk-headless

rvasilev commented on 2018-05-30 19:50

@ph1r3ph0x will look for workaround

https://github.com/arch-noob/docear/issues/1

ph1r3ph0x commented on 2018-05-28 12:34

You should remove the jre9 and jdk9 dependencies since Docear doesn't work with jre > 8. See: https://github.com/Docear/Desktop/issues/507

rvasilev commented on 2018-04-04 08:11

PKGBUILD source, issue tracker and PR -> https://github.com/arch-noob/docear

As of Jun 10, 2018 Docear is Deprecated by the author.

miterion commented on 2018-01-08 10:29

Please update the pkgrel in tthe .SRCINFO to 3, or the package will fail to build.

dark-saber commented on 2018-01-03 06:23

Package fails to build if you have a custom $SRCDEST:

==> Validating source files with md5sums... docear_1.2.0_stable.tar.gz ... Passed docear-metadata-lib-0.0.1.jar?raw=1 ... Passed docear.desktop ... Passed ==> Extracting sources... -> Extracting docear_1.2.0_stable.tar.gz with bsdtar ==> Starting build()... ==> Entering fakeroot environment... ==> Starting package()... install: cannot stat '/tmp/yaourt-tmp-dark-saber/aur-docear/docear-metadata-lib-0.0.1.jar?raw=1': No such file or directory ==> ERROR: A failure occurred in package(). Aborting...

Package builds fine if you replace $startdir with $srcdir in line 60 of PKGBUILD: install -Dm 644 "$srcdir/docear-metadata-lib-0.0.1.jar?raw=1" "${pkgdir}/usr/share/docear/plugins/org.docear.plugin.bibtex/lib/docear-metadata-lib-0.0.1.jar".